Re: "HTTPerror : HTTP error 307 : temporary redirect"

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Re: "HTTPerror : HTTP error 307 : temporary redirect"

Perley, Danielle

Solved!
After finding documentation indicating that changing the URL of the test toolshed from http to https in the tool_sheds_config.xml file solved some redirection issues, I tried the same thing for the URL of the  main toolshed.


Message: 7
Date: Fri, 1 Aug 2014 20:30:14 +0000
From: "Perley, Danielle" <[hidden email]>
To: "[hidden email]" <[hidden email]>
Subject: [galaxy-dev] Error while installing tools from main toolshed:
        "HTTPerror : HTTP error 307 : temporary redirect"
Message-ID: <[hidden email]>
Content-Type: text/plain; charset="iso-8859-1"

Hi,


 I'm trying to install tools from the main toolshed, but I keep getting the same error regardless of the tool that I'm installing


HTTPError: HTTP Error 307: Temporary Redirect
URL: http://localhost:8080/admin_toolshed/prepare_for_install?tool_shed_url=https://toolshed.g2.bx.psu.edu/&repository_ids=2a5f494c5fbb2c90&changeset_revisions=bc9269529e88
Module weberror.evalexception.middleware:364 in respond          view
>>  app_iter = self.application(environ, detect_start_response)
Module paste.recursive:84 in __call__          view
>>  return self.application(environ, start_response)
Module paste.httpexceptions:633 in __call__          view
>>  return self.application(environ, start_response)
Module galaxy.web.framework.base:132 in __call__          view
>>  return self.handle_request( environ, start_response )
Module galaxy.web.framework.base:190 in handle_request          view
>>  body = method( trans, **kwargs )
Module galaxy.web.framework:377 in decorator          view
>>  return func( self, trans, *args, **kwargs )
Module galaxy.webapps.galaxy.controllers.admin_toolshed:1116 in prepare_for_install          view
>>  updating=updating )
Module tool_shed.util.common_install_util:110 in get_dependencies_for_repository          view
>>  all_repo_info_dict = get_required_repo_info_dicts( trans, tool_shed_url, util.listify( repo_info_dict ) )
Module tool_shed.util.common_install_util:451 in get_required_repo_info_dicts          view
>>  response = urllib2.urlopen( request ).read()
Module urllib2:127 in urlopen          view
>>  return _opener.open(url, data, timeout)
Module urllib2:410 in open          view
>>  response = meth(req, response)
Module urllib2:523 in http_response          view
>>  'http', request, response, code, msg, hdrs)
Module urllib2:442 in error          view
>>  result = self._call_chain(*args)
Module urllib2:382 in _call_chain          view
>>  result = func(*args)
Module urllib2:608 in http_error_302          view
>>  new = self.redirect_request(req, fp, code, msg, headers, newurl)
Module urllib2:569 in redirect_request          view
>>  raise HTTPError(req.get_full_url(), code, msg, headers, fp)
HTTPError: HTTP Error 307: Temporary Redirect



I've just installed Galaxy locally for the first time on a Mac OS 10.9.3. The only changes I've made to the universe_wsg.ini file are:

setting host=0.0.0.0 (The error also occurred with host=127.0.0.1?)

specifying a full path for Tool_depenendency_dir

giving myself administrator privileges with admin_users=myemail


any ideas?


Danielle

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.bx.psu.edu/pipermail/galaxy-dev/attachments/20140801/0898e6ce/attachment-0001.html>

------------------------------

Message: 8
Date: Fri, 1 Aug 2014 20:32:49 +0000
From: "Langhorst, Brad" <[hidden email]>
To: "[hidden email]" <[hidden email]>
Subject: [galaxy-dev] bx version conflict causes failure for some
        tools (e.g. subtract interval tool)
Message-ID: <[hidden email]>
Content-Type: text/plain; charset="us-ascii"

see:
https://biostar.usegalaxy.org/p/8095/

I can work around the problem by adding a stdio block to these tools, how should the underlying problem be solved?


Brad


--
Bradley W. Langhorst, Ph.D.
Applications and Product Development Scientist

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.bx.psu.edu/pipermail/galaxy-dev/attachments/20140801/85701e89/attachment-0001.html>

------------------------------

Message: 9
Date: Fri, 1 Aug 2014 20:21:36 -0400
From: John Chilton <[hidden email]>
To: Peter Cock <[hidden email]>, Dave Bouvier
        <[hidden email]>
Cc: "[hidden email]" <[hidden email]>
Subject: Re: [galaxy-dev] TestToolShed failure, Exception: History in
        error state.
Message-ID:
        <CANwbokd7gS0hJfVdHV5QoZiPHJemX+KiB0LQLKEpV-EOe5u=[hidden email]>
Content-Type: text/plain; charset=UTF-8

On Thu, Jul 31, 2014 at 12:29 PM, Peter Cock <[hidden email]> wrote:

> On Thu, Jul 31, 2014 at 5:21 PM, [hidden email]
> <[hidden email]> wrote:
>> Hi Peter,
>>
>>
>> 2014-07-31 10:57 GMT+02:00 Peter Cock <[hidden email]>:
>>
>>> Hi Dave,
>>>
>>> You are right that on closer inspection I've mixed tool_dependencies.xml
>>> and repository_dependencies.xml *again*. Evidentially my mental model
>>> does not match Greg's here:
>>>
>>> (*) I need to define a tool installation recipe for something not in the
>>> Tool Shed --> write an install script called tool_dependencies.xml
>>>
>>> (*) I need to depend on a Python package by pointing at another repository
>>> in the Tool Shed --> repository_dependencies.xml
>>
>> I might be wrong, but I think that also goes to tool_dependencies.xml
>
> Correct, e.g.
> https://github.com/peterjc/pico_galaxy/tree/master/tools/seq_select_by_id
>
> Thanks!
>
>>>
>>> (*) I need to depend on a datatype package by pointing at another
>>> repository in the Tool Shed --> repository_dependencies.xml
>>>
>>> (*) I need to depend on a binary package by pointing at another repository
>>> in the Tool Shed --> repository_dependencies.xml ? No. You need
>>> tool_dependencies.xml for this too
>>
>> As far as I understood, everything that is referenced in the tool.xml under
>> the requirement section, needs to be in a tool_dependencies.xml file. Any
>> other dependency are from the repository (data_types, data_manager,
>> workflows ...).
>>
>> Ciao,
>> Bjoern
>
> Sure, there is a logic here - but its a definition which I seem to still
> struggle with :(
>
>>> But that aside, the test framework error here is completely unhelpful.
>>>
>>> Why is there no error message about missing a dependency?
>>> Was there an error from running my tool which was not shown?
>>>
>>> Thanks,
>>>
>>> Peter
>
> I'd still like to get a more explicit error from the test suite than
> "History in error state" though ;)

Yes - that is problematic.

Dave B - can we set GALAXY_TEST_VERBOSE_ERRORS to "True" in the
environment of the install and test framework? I disabled it by
default because it causes to sqlite to fallover rather frequently -
but if install and test framework is backed by a postgres database
this is probably not a problem.

-John

>
> Regards,
>
> Peter
> ___________________________________________________________
> Please keep all replies on the list by using "reply all"
> in your mail client.  To manage your subscriptions to this
> and other Galaxy lists, please use the interface at:
>   http://lists.bx.psu.edu/
>
> To search Galaxy mailing lists use the unified search at:
>   http://galaxyproject.org/search/mailinglists/


------------------------------

Message: 10
Date: Fri, 1 Aug 2014 20:38:32 -0400
From: John Chilton <[hidden email]>
To: Geert Vandeweyer <[hidden email]>
Cc: "[hidden email]" <[hidden email]>
Subject: Re: [galaxy-dev] new_file_path questions
Message-ID:
        <CANwbokdyboo+bH9B5Vi_ZLeHOS0cL=[hidden email]>
Content-Type: text/plain; charset=UTF-8

On Fri, Aug 1, 2014 at 4:16 AM, Geert Vandeweyer
<[hidden email]> wrote:

> Hi,
>
> I'm running into issues with our galaxy installation regarding the
> new_file_path setting:
>
> 1/ clean up :
> ========
> Can I safely delete all contents in the tmp folder using a cronjob, or
> manually when galaxy is (not) running. I have gathered almost 700Gb and >72K
> files on data there apparently. I suppose they are remnants of crashed jobs

Mostly yes. The only caveat versus what you said is I wouldn't assume
you can just delete files because Galaxy isn't running (unless you are
using the local job manager) - so I would just delete files by age
(anything older than 2 weeks or a month or something like that).

>
> 2/ Should it be accessible by all nodes
> =======================
> Since I have that much data there, I suppose it does. However, it would make
> sense to use a seperate (local /tmp/ ?) folder for toolshed actions such as
> installations. As an example, I tried to install the package_perl from the
> test toolshed. On our production server, hosting the new_file_path on a NFS
> share with the 700GB / 72K files, this process ran for over 24 hours, then
> crashed the main process with the error below. On my development box
> (laptop, no network drives, single galaxy process), the package installed in
> under five minutes.

Traditionally it has needed to be shared across the compute nodes and
Galaxy because "extra" collected/discovered files were populated there
- but I think all the dev team tools now write those files to the
working directory instead. So I cannot think of a reason this needs to
be shared - I assume it can be something like /tmp but I could
certainly be wrong (anyone else have a more informed opinion?).

I am not sure what to say about the PERL error... I hadn't even
occurred to me that the install framework used this directory. Hope
the rest of my response was somewhat helpful though.

Hope this helps,
-John

>
>
> Best,
>
> Geert
>
> ==========
>
>
> tool_shed.galaxy_install.install_manager ERROR 2014-08-01 05:10:20,656 Error
> installing tool dependency perl version 5.18.1.
> Traceback (most recent call last):
>   File
> "/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/install_manager.py", line
> 110, in install_and_build_package_via_fabric
>     tool_dependency = self.install_and_build_package( app,
> tool_shed_repository, tool_dependency, actions_dict )
>   File
> "/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/install_manager.py", line
> 94, in install_and_build_package
>     initial_download=False )
>   File
> "/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/tool_dependencies/recipe/recipe_manager.py",
> line 32, in execute_step
>     initial_download=initial_download )
>   File
> "/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/tool_dependencies/recipe/step_handler.py",
> line 510, in execute_step
>     return_output=False )
>   File
> "/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/tool_dependencies/recipe/install_environment.py",
> line 148, in handle_command
>     context.flush()
>   File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/scoping.py",
> line 114, in do
>     return getattr(self.registry(), name)(*args, **kwargs)
>   File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/session.py",
> line 1718, in flush
>     self._flush(objects)
>   File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/session.py",
> line 1807, in _flush
>     transaction.rollback(_capture_exception=True)
>   File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/session.py",
> line 386, in rollback
>     transaction._rollback_impl()
>   File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/session.py",
> line 414, in _rollback_impl
>     t[1].rollback()
>   File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/engine/base.py",
> line 2034, in rollback
>     self._do_rollback()
>   File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/engine/base.py",
> line 2071, in _do_rollback
>     self.connection._rollback_impl()
>   File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/engine/base.py",
> line 1265, in _rollback_impl
>     self._handle_dbapi_exception(e, None, None, None, None)
>   File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/engine/base.py",
> line 1262, in _rollback_impl
>     self.engine.dialect.do_rollback(self.connection)
>   File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/dialects/mysql/base.py",
> line 1910, in do_rollback
>     connection.rollback()
> OperationalError: (OperationalError) (2006, 'MySQL server has gone away')
> None None
> tool_shed.util.common_install_util ERROR 2014-08-01 05:10:20,743 Error
> installing tool dependency perl version 5.18.1: Can't reconnect until
> invalid transaction is rolled back (original cause: InvalidRequestError:
> Can't reconnect until invalid transaction is rolled back) 'UPDATE
> tool_dependency SET update_time=%s, status=%s, error_message=%s WHERE
> tool_dependency.id = %s' [{'status': 'Error', 'error_message': '  File
> "/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/install_manager.py", line
> 110, in install_and_build_package_via_fabric\n tool_dependency =
> self.install_and_build_package( app, tool_shed_repository, tool_dependency,
> actions_dict )\n  File
> "/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/install_manager.py", line
> 94, in install_and_build_package\n    initial_download=False )\n  File
> "/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/tool_dependencies/recipe/recipe_manager.py",
> line 32, in execute_step\n    initial_download=initial_download )\n File
> "/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/tool_dependencies/recipe/step_handler.py",
> line 510, in execute_step\n    return_output=False )\n  File
> "/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/tool_dependencies/recipe/install_environment.py",
> line 148, in handle_command\n    context.flush()\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/scoping.py",
> line 114, in do\n    return getattr(self.registry(), name)(*args,
> **kwargs)\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/session.py",
> line 1718, in flush\n    self._flush(objects)\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/session.py",
> line 1807, in _flush\n transaction.rollback(_capture_exception=True)\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/session.py",
> line 386, in rollback\n    transaction._rollback_impl()\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/session.py",
> line 414, in _rollback_impl\n    t[1].rollback()\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/engine/base.py",
> line 2034, in rollback\n    self._do_rollback()\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/engine/base.py",
> line 2071, in _do_rollback\n    self.connection._rollback_impl()\n File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/engine/base.py",
> line 1265, in _rollback_impl\n    self._handle_dbapi_exception(e, None,
> None, None, None)\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/engine/base.py",
> line 1262, in _rollback_impl\n
> self.engine.dialect.do_rollback(self.connection)\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/dialects/mysql/base.py",
> line 1910, in do_rollback\n connection.rollback()\n\n(OperationalError)
> (2006, \'MySQL server has gone away\') None None', u'tool_dependency_id':
> 326L}]
> Traceback (most recent call last):
>   File "/galaxy/galaxy-dist/lib/tool_shed/util/common_install_util.py", line
> 554, in install_specified_tool_dependencies
>     from_tool_migration_manager=from_tool_migration_manager )
>   File
> "/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/install_manager.py", line
> 313, in install_package
>     action_elem=None )
>   File
> "/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/install_manager.py", line
> 176, in install_via_fabric
>     tool_dependency = self.install_and_build_package_via_fabric( app,
> tool_shed_repository, tool_dependency, actions_dict )
>   File
> "/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/install_manager.py", line
> 119, in install_and_build_package_via_fabric
>     remove_installation_path=False )
>   File "/galaxy/galaxy-dist/lib/tool_shed/util/tool_dependency_util.py",
> line 423, in handle_tool_dependency_installation_error
>     sa_session.flush()
>   File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/scoping.py",
> line 114, in do
>     return getattr(self.registry(), name)(*args, **kwargs)
>   File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/session.py",
> line 1718, in flush
>     self._flush(objects)
>   File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/session.py",
> line 1789, in _flush
>     flush_context.execute()
>   File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/unitofwork.py",
> line 331, in execute
>     rec.execute(self)
>   File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/unitofwork.py",
> line 475, in execute
>     uow
>   File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/persistence.py",
> line 59, in save_obj
>     mapper, table, update)
>   File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/persistence.py",
> line 485, in _emit_update_statements
>     execute(statement, params)
>   File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/engine/base.py",
> line 1449, in execute
>     params)
>   File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/engine/base.py",
> line 1584, in _execute_clauseelement
>     compiled_sql, distilled_params
>   File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/engine/base.py",
> line 1651, in _execute_context
>     None, None)
>   File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/engine/base.py",
> line 1645, in _execute_context
>     conn = self._revalidate_connection()
>   File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/engine/base.py",
> line 1044, in _revalidate_connection
>     "Can't reconnect until invalid "
> StatementError: Can't reconnect until invalid transaction is rolled back
> (original cause: InvalidRequestError: Can't reconnect until invalid
> transaction is rolled back) 'UPDATE tool_dependency SET update_time=%s,
> status=%s, error_message=%s WHERE tool_dependency.id = %s' [{'status':
> 'Error', 'error_message': '  File
> "/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/install_manager.py", line
> 110, in install_and_build_package_via_fabric\n tool_dependency =
> self.install_and_build_package( app, tool_shed_repository, tool_dependency,
> actions_dict )\n  File
> "/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/install_manager.py", line
> 94, in install_and_build_package\n    initial_download=False )\n  File
> "/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/tool_dependencies/recipe/recipe_manager.py",
> line 32, in execute_step\n    initial_download=initial_download )\n File
> "/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/tool_dependencies/recipe/step_handler.py",
> line 510, in execute_step\n    return_output=False )\n  File
> "/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/tool_dependencies/recipe/install_environment.py",
> line 148, in handle_command\n    context.flush()\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/scoping.py",
> line 114, in do\n    return getattr(self.registry(), name)(*args,
> **kwargs)\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/session.py",
> line 1718, in flush\n    self._flush(objects)\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/session.py",
> line 1807, in _flush\n transaction.rollback(_capture_exception=True)\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/session.py",
> line 386, in rollback\n    transaction._rollback_impl()\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/session.py",
> line 414, in _rollback_impl\n    t[1].rollback()\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/engine/base.py",
> line 2034, in rollback\n    self._do_rollback()\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/engine/base.py",
> line 2071, in _do_rollback\n    self.connection._rollback_impl()\n File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/engine/base.py",
> line 1265, in _rollback_impl\n    self._handle_dbapi_exception(e, None,
> None, None, None)\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/engine/base.py",
> line 1262, in _rollback_impl\n
> self.engine.dialect.do_rollback(self.connection)\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/dialects/mysql/base.py",
> line 1910, in do_rollback\n connection.rollback()\n\n(OperationalError)
> (2006, \'MySQL server has gone away\') None None', u'tool_dependency_id':
> 326L}]
> 143.169.236.220 - - [31/Jul/2014:14:54:50 +0200] "POST
> /galaxy/admin_toolshed/manage_repositories HTTP/1.1" 500 -
> "http://biominavm-galaxy.biomina.be/galaxy/admin_toolshed/prepare_for_install"
> "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko)
> Ubuntu Chromium/34.0.1847.116 Chrome/34.0.1847.116 Safari/537.36"
> Error - <class 'sqlalchemy.exc.InvalidRequestError'>: This Session's
> transaction has been rolled back due to a previous exception during flush.
> To begin a new transaction with this Session, first issue
> Session.rollback(). Original exception was: Can't reconnect until invalid
> transaction is rolled back (original cause: InvalidRequestError: Can't
> reconnect until invalid transaction is rolled back) 'UPDATE tool_dependency
> SET update_time=%s, status=%s, error_message=%s WHERE tool_dependency.id =
> %s' [{'status': 'Error', 'error_message': '  File
> "/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/install_manager.py", line
> 110, in install_and_build_package_via_fabric\n tool_dependency =
> self.install_and_build_package( app, tool_shed_repository, tool_dependency,
> actions_dict )\n  File
> "/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/install_manager.py", line
> 94, in install_and_build_package\n    initial_download=False )\n  File
> "/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/tool_dependencies/recipe/recipe_manager.py",
> line 32, in execute_step\n    initial_download=initial_download )\n File
> "/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/tool_dependencies/recipe/step_handler.py",
> line 510, in execute_step\n    return_output=False )\n  File
> "/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/tool_dependencies/recipe/install_environment.py",
> line 148, in handle_command\n    context.flush()\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/scoping.py",
> line 114, in do\n    return getattr(self.registry(), name)(*args,
> **kwargs)\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/session.py",
> line 1718, in flush\n    self._flush(objects)\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/session.py",
> line 1807, in _flush\n transaction.rollback(_capture_exception=True)\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/session.py",
> line 386, in rollback\n    transaction._rollback_impl()\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/session.py",
> line 414, in _rollback_impl\n    t[1].rollback()\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/engine/base.py",
> line 2034, in rollback\n    self._do_rollback()\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/engine/base.py",
> line 2071, in _do_rollback\n    self.connection._rollback_impl()\n File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/engine/base.py",
> line 1265, in _rollback_impl\n    self._handle_dbapi_exception(e, None,
> None, None, None)\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/engine/base.py",
> line 1262, in _rollback_impl\n
> self.engine.dialect.do_rollback(self.connection)\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/dialects/mysql/base.py",
> line 1910, in do_rollback\n connection.rollback()\n\n(OperationalError)
> (2006, \'MySQL server has gone away\') None None', u'tool_dependency_id':
> 326L}]
> URL:
> http://biominavm-galaxy.biomina.be/galaxy/admin_toolshed/manage_repositories
> File '/galaxy/galaxy-dist/lib/galaxy/web/framework/middleware/error.py',
> line 149 in __call__
>   app_iter = self.application(environ, sr_checker)
> File '/galaxy/galaxy-dist/eggs/Paste-1.7.5.1-py2.6.egg/paste/recursive.py',
> line 84 in __call__
>   return self.application(environ, start_response)
> File
> '/galaxy/galaxy-dist/eggs/Paste-1.7.5.1-py2.6.egg/paste/httpexceptions.py',
> line 633 in __call__
>   return self.application(environ, start_response)
> File '/galaxy/galaxy-dist/lib/galaxy/web/framework/base.py', line 132 in
> __call__
>   return self.handle_request( environ, start_response )
> File '/galaxy/galaxy-dist/lib/galaxy/web/framework/base.py', line 190 in
> handle_request
>   body = method( trans, **kwargs )
> File '/galaxy/galaxy-dist/lib/galaxy/web/framework/__init__.py', line 377 in
> decorator
>   return func( self, trans, *args, **kwargs )
> File
> '/galaxy/galaxy-dist/lib/galaxy/webapps/galaxy/controllers/admin_toolshed.py',
> line 724 in manage_repositories
>   **decoded_kwd )
> File '/galaxy/galaxy-dist/lib/galaxy/web/framework/__init__.py', line 377 in
> decorator
>   return func( self, trans, *args, **kwargs )
> File
> '/galaxy/galaxy-dist/lib/galaxy/webapps/galaxy/controllers/admin_toolshed.py',
> line 645 in install_tool_shed_repositories
>   reinstalling=reinstalling )
> File '/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/repository_util.py',
> line 629 in install_tool_shed_repository
>   from_tool_migration_manager=False )
> File '/galaxy/galaxy-dist/lib/tool_shed/util/common_install_util.py', line
> 566 in install_specified_tool_dependencies
>   remove_installation_path=False )
> File '/galaxy/galaxy-dist/lib/tool_shed/util/tool_dependency_util.py', line
> 400 in handle_tool_dependency_installation_error
>   tool_shed_repository = tool_dependency.tool_shed_repository
> File
> '/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/attributes.py',
> line 168 in __get__
> File
> '/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/attributes.py',
> line 453 in get
> File
> '/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/strategies.py',
> line 490 in _load_for_state
> File
> '/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/strategies.py',
> line 531 in _get_ident_for_use_get
> File
> '/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/mapper.py',
> line 1646 in _get_state_attr_by_column
> File
> '/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/attributes.py',
> line 451 in get
> File
> '/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/state.py',
> line 285 in __call__
> File
> '/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/mapper.py',
> line 1714 in _load_scalar_attributes
> File
> '/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/query.py',
> line 2512 in _load_on_ident
> File
> '/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/query.py',
> line 2184 in one
> File
> '/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/query.py',
> line 2227 in __iter__
> File
> '/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/query.py',
> line 2240 in _execute_and_instances
> File
> '/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/query.py',
> line 2231 in _connection_from_session
> File
> '/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/session.py',
> line 777 in connection
>   close_with_result=close_with_result)
> File
> '/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/session.py',
> line 781 in _connection_for_bind
>   return self.transaction._connection_for_bind(engine)
> File
> '/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/session.py',
> line 289 in _connection_for_bind
>   self._assert_is_active()
> File
> '/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/session.py',
> line 213 in _assert_is_active
>   % self._rollback_exception
> InvalidRequestError: This Session's transaction has been rolled back due to
> a previous exception during flush. To begin a new transaction with this
> Session, first issue Session.rollback(). Original exception was: Can't
> reconnect until invalid transaction is rolled back (original cause:
> InvalidRequestError: Can't reconnect until invalid transaction is rolled
> back) 'UPDATE tool_dependency SET update_time=%s, status=%s,
> error_message=%s WHERE tool_dependency.id = %s' [{'status': 'Error',
> 'error_message': '  File
> "/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/install_manager.py", line
> 110, in install_and_build_package_via_fabric\n tool_dependency =
> self.install_and_build_package( app, tool_shed_repository, tool_dependency,
> actions_dict )\n  File
> "/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/install_manager.py", line
> 94, in install_and_build_package\n    initial_download=False )\n  File
> "/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/tool_dependencies/recipe/recipe_manager.py",
> line 32, in execute_step\n    initial_download=initial_download )\n File
> "/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/tool_dependencies/recipe/step_handler.py",
> line 510, in execute_step\n    return_output=False )\n  File
> "/galaxy/galaxy-dist/lib/tool_shed/galaxy_install/tool_dependencies/recipe/install_environment.py",
> line 148, in handle_command\n    context.flush()\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/scoping.py",
> line 114, in do\n    return getattr(self.registry(), name)(*args,
> **kwargs)\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/session.py",
> line 1718, in flush\n    self._flush(objects)\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/session.py",
> line 1807, in _flush\n transaction.rollback(_capture_exception=True)\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/session.py",
> line 386, in rollback\n    transaction._rollback_impl()\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/orm/session.py",
> line 414, in _rollback_impl\n    t[1].rollback()\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/engine/base.py",
> line 2034, in rollback\n    self._do_rollback()\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/engine/base.py",
> line 2071, in _do_rollback\n    self.connection._rollback_impl()\n File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/engine/base.py",
> line 1265, in _rollback_impl\n    self._handle_dbapi_exception(e, None,
> None, None, None)\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/engine/base.py",
> line 1262, in _rollback_impl\n
> self.engine.dialect.do_rollback(self.connection)\n  File
> "/galaxy/galaxy-dist/eggs/SQLAlchemy-0.7.9-py2.6-linux-x86_64-ucs4.egg/sqlalchemy/dialects/mysql/base.py",
> line 1910, in do_rollback\n connection.rollback()\n\n(OperationalError)
> (2006, \'MySQL server has gone away\') None None', u'tool_dependency_id':
> 326L}]
>
>
> CGI Variables
> -------------
>   CONTENT_LENGTH: '-1'
>   CONTENT_TYPE: 'application/x-www-form-urlencoded; charset=UTF-8'
>   HTTP_ACCEPT: 'text/html, */*; q=0.01'
>   HTTP_ACCEPT_ENCODING: 'gzip,deflate,sdch'
>   HTTP_ACCEPT_LANGUAGE: 'nl-NL,nl;q=0.8,en-US;q=0.6,en;q=0.4'
>   HTTP_CACHE_CONTROL: 'max-age=0'
>   HTTP_CONNECTION: 'Keep-Alive'
>   HTTP_COOKIE:
> '__utma=94419599.1127508766.1403299856.1403299856.1405949987.2;
> __utmz=94419599.1403299856.1.1.utmcsr=(direct)|utmccn=(direct)|utmcmd=(none);
> galaxysession=6730c1c7f605dc205ea1a59142b8e9026339899a15206ea6665be6a34bb4fa5a635956369e96da7d'
>   HTTP_HOST: 'biominavm-galaxy.biomina.be'
>   HTTP_ORIGIN: 'http://biominavm-galaxy.biomina.be'
>   HTTP_REFERER:
> 'http://biominavm-galaxy.biomina.be/galaxy/admin_toolshed/prepare_for_install'
>   HTTP_USER_AGENT: 'Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36
> (KHTML, like Gecko) Ubuntu Chromium/34.0.1847.116 Chrome/34.0.1847.116
> Safari/537.36'
>   HTTP_VIA: '1.1 biominavm-galaxy.biomina.be'
>   HTTP_X_REQUESTED_WITH: 'XMLHttpRequest'
>   PATH_INFO: '/admin_toolshed/manage_repositories'
>   REMOTE_ADDR: '143.169.236.220'
>   REQUEST_METHOD: 'POST'
>   SCRIPT_NAME: '/galaxy'
>   SERVER_NAME: 'biominavm-galaxy.biomina.be'
>   SERVER_PORT: '8080'
>   SERVER_PROTOCOL: 'HTTP/1.1'
>
>
> WSGI Variables
> --------------
>   application: <paste.recursive.RecursiveMiddleware object at 0xad8c1d0>
>   is_api_request: False
>   paste.cookies: (<SimpleCookie:
> __utma='94419599.1127508766.1403299856.1403299856.1405949987.2'
> __utmz='94419599.1403299856.1.1.utmcsr=(direct)|utmccn=(direct)|utmcmd=(none)'
> galaxysession='6730c1c7f605dc205ea1a59142b8e9026339899a15206ea6665be6a34bb4fa5a635956369e96da7d'>,
> '__utma=94419599.1127508766.1403299856.1403299856.1405949987.2;
> __utmz=94419599.1403299856.1.1.utmcsr=(direct)|utmccn=(direct)|utmcmd=(none);
> galaxysession=6730c1c7f605dc205ea1a59142b8e9026339899a15206ea6665be6a34bb4fa5a635956369e96da7d')
>   paste.expected_exceptions: [<class 'paste.httpexceptions.HTTPException'>]
>   paste.httpexceptions: <paste.httpexceptions.HTTPExceptionHandler object at
> 0xa8df9d0>
>   paste.httpserver.thread_pool: <paste.httpserver.ThreadPool object at
> 0x2ca6450>
>   paste.recursive.forward: <paste.recursive.Forwarder from /galaxy>
>   paste.recursive.include: <paste.recursive.Includer from /galaxy>
>   paste.recursive.include_app_iter: <paste.recursive.IncluderAppIter from
> /galaxy>
>   paste.recursive.script_name: '/galaxy'
>   paste.throw_errors: True
>   request_id: 'dc296d0a18b111e484a100163602f2ed'
>   webob._parsed_post_vars: (MultiDict([('operation', 'install'),
> ('tool_shed_repository_ids', "['dc4272dc4bc65f47']"), ('encoded_kwd',
> '8466491acfb960dfb39d0377c52cdd7698cac2ef:7b22737461747573223a2022646f6e65222c20226861735f7265706f7369746f72795f646570656e64656e63696573223a2066616c73652c2022696e636c756465735f746f6f6c735f666f725f646973706c61795f696e5f746f6f6c5f70616e656c223a2066616c73652c2022746f6f6c5f736865645f7265706f7369746f72795f696473223a205b2264633432373264633462633635663437225d2c2022736865645f746f6f6c5f636f6e66223a20222e2f736865645f746f6f6c5f636f6e662e786d6c222c2022696e7374616c6c5f7265706f7369746f72795f646570656e64656e63696573223a2066616c73652c2022746f6f6c5f70617468223a20222e2e2f736865645f746f6f6c73222c20227265706f5f696e666f5f6469637473223a205b7b227061636b6167655f7065726c5f355f3138223a205b22436f6e7461696e73206120746f6f6c20646570656e64656e637920646566696e6974696f6e207468617420646f776e6c6f61647320616e6420636f6d70696c65732076657273696f6e20352e31382e78206f662074686520746865207065726c206c61...t([('op...e')])>)
>   webob._parsed_query_vars: (MultiDict([]), '')
>   wsgi process: 'Multithreaded'
> ------------------------------------------------------------
>
>
> --
>
> Geert Vandeweyer, Ph.D.
> Department of Medical Genetics
> University of Antwerp
> Prins Boudewijnlaan 43
> 2650 Edegem
> Belgium
> Tel: +32 (0)3 275 97 56
> E-mail: [hidden email]
> http://ua.ac.be/cognitivegenetics
> http://www.linkedin.com/in/geertvandeweyer
>
> ___________________________________________________________
> Please keep all replies on the list by using "reply all"
> in your mail client.  To manage your subscriptions to this
> and other Galaxy lists, please use the interface at:
>  http://lists.bx.psu.edu/
>
> To search Galaxy mailing lists use the unified search at:
>  http://galaxyproject.org/search/mailinglists/



------------------------------

Message: 11
Date: Fri, 1 Aug 2014 23:41:29 -0300
From: Dave Clements <[hidden email]>
To: Galaxy Announcements List <[hidden email]>,     Galaxy Dev
        List <[hidden email]>
Subject: [galaxy-dev] August 2014 Galaxy Newsletter
Message-ID:
        <[hidden email]>
Content-Type: text/plain; charset="utf-8"

Hello all,

The August 2014 Galaxy Update Newsletter
<https://wiki.galaxyproject.org/GalaxyUpdates/2014_08> is out. Here's a
preview of what's inside:

   -

   GCC2015 will be held in Norwich, United Kingdom, 6-8 July 2015
   <https://wiki.galaxyproject.org/GalaxyUpdates/2014_08#GCC2015:_Norwich.2C_United_Kingdom.2C_6-8_July_2015>
   -

   GCC2014 was a tremendous success
   <https://wiki.galaxyproject.org/GalaxyUpdates/2014_08#GCC2014_Report>.
   Watch the talks, review the slides, posters, and BoF writeups.
   -

   ISMB and BOSC 2014 slides, posters and videos
   <https://wiki.galaxyproject.org/GalaxyUpdates/2014_08#Galaxy_.40_ISMB_and_BOSC_2014_Slides_and_Posters>
    too.
   -

   53 new papers
   <https://wiki.galaxyproject.org/GalaxyUpdates/2014_08#New_Papers>
   -

   One new public server (IM-PET)
   <https://wiki.galaxyproject.org/GalaxyUpdates/2014_08#New_Public_Servers>
   -

   Who's hiring?
   <https://wiki.galaxyproject.org/GalaxyUpdates/2014_08#Who.27s_Hiring> It
   turns out that lots of places are.

Happy August,

Dave Clements and the Galaxy Team
<https://wiki.galaxyproject.org/GalaxyTeam>
--
http://galaxyproject.org/
http://getgalaxy.org/
http://usegalaxy.org/
https://wiki.galaxyproject.org/
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.bx.psu.edu/pipermail/galaxy-dev/attachments/20140801/7ec419d5/attachment-0001.html>

------------------------------

Message: 12
Date: Sat, 02 Aug 2014 16:26:56 +0200
From: Bj?rn Gr?ning <[hidden email]>
To: Renato Alves <[hidden email]>,
        [hidden email],    Eric Rasche <[hidden email]>
Subject: Re: [galaxy-dev] Packaging tools with language specific
        dependencies
Message-ID: <[hidden email]>
Content-Type: text/plain; charset=windows-1252; format=flowed

Hi Renato,

cpanm is not the only problem it seems to be an general perl 'feature'.
How annoying :(

As I figured from:
https://metacpan.org/source/RJBS/perl-5.20.0/Configure#L9162

we can use:-Dstartperl='#!/usr/bin/env perl' to change them via install.
Now every perl script from the main perl has the correct shebang.

Unfortunately, every other package installed with cpanm or Makefile.PL
will have this annoying long shebang.

I'm not sure there is a switch in cpan/cpanm to do that. Under cpan
there are a few repositories, called change_shebang... so I assume we
are not the only ones that have this problem.

So I ended up with:

<action type="shell_command">sed -i
's|#!$INSTALL_DIR/bin/|#!/usr/bin/env |' $INSTALL_DIR/bin/*</action>

I have uploaded it to the testtoolshed and to galaxytools.
If this is working for you, also with depending repositories, I will try
to add this to into the Tool Shed core to make this sed command implicit
for all perl tools.

Cheers,
Bjoern



Am 01.08.2014 um 16:06 schrieb Renato Alves:

> Hi BJ?rn,
>
> We have run into some problems with the perl environment.
> This might also affect other tools that rely on a shebang with absolute
> paths to the interpreter. Details below.
>
> During the installation of the perl package (we tried package_perl_5_18
> from main and testing toolshed), the cpanm script gets installed but
> when executed it is invalid/not found.
>
> The issue seems to be the length of the shebang in the script which is
> limited to 80 characters. In cpanm it's:
>
> !#/galaxy_dist/tool_dependencies/perl/5.18.1/bgruening/package_perl_5_18/e89824189ec6/bin/perl
>
> That is 92 characters long. When launching the script it gets truncated
> at "...perl_5_18/e898241", causing the command to fail with a "bad
> interpreter" error.
>
> I was able to workaround this problem by editing the script manually and
> replacing the long shebang by: #!/usr/bin/env perl
>
>
> As it stands it seems relying on the shebang to use the correct
> interpreter is a problem. Repositories with long (character wise) names,
> versions or owners will be more likely to suffer from this. So will
> installations that are not close to the system root.
>
> Renato
>
> Quoting Bj?rn Gr?ning on 30-07-2014 12:04:
>> Hi Renato,
>>
>> Am 30.07.2014 um 12:21 schrieb Renato Alves:
>>> Hi everyone,
>>>
>>> Is there any standard or commonly used way to package tools that have
>>> language specific dependencies.
>>>
>>> I know that with Python libraries one can use setup_virtualenv and with
>>> Java jars the JAVA_JAR_LIB strategy is used.
>>> Is there anything equivalent for R, Perl and Ruby libraries?
>>
>> please have a look at:
>> https://github.com/bgruening/galaxytools/tree/master/test_repositories
>>
>> If you have any questions I'm happy to help you!
>> Bjoern
>>
>>> Thanks
>>> Renato
>>>
>>>
>>>
>>>
>>>
>>> ___________________________________________________________
>>> Please keep all replies on the list by using "reply all"
>>> in your mail client.  To manage your subscriptions to this
>>> and other Galaxy lists, please use the interface at:
>>>     http://lists.bx.psu.edu/
>>>
>>> To search Galaxy mailing lists use the unified search at:
>>>     http://galaxyproject.org/search/mailinglists/
>>>
>


------------------------------

_______________________________________________
galaxy-dev mailing list
[hidden email]
http://lists.bx.psu.edu/listinfo/galaxy-dev

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/mailinglists/

End of galaxy-dev Digest, Vol 98, Issue 2
*****************************************
___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  http://lists.bx.psu.edu/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/mailinglists/